%define upstream_name    DBIx-Class-UUIDColumns
%define upstream_version 0.02006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Create uuids using Win32API::GUID
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::UUID)
BuildRequires: perl(Class::Accessor::Grouped)
BuildRequires: perl(DBD::SQLite) >= 1.110.0
BuildRequires: perl(DBIx::Class) >= 0.70.50
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildArch:  noarch

Requires: perl(Data::UUID)
%{?perl_default_filter}

%description
This the DBIx::Class manpage component resembles the behaviour of the
Class::DBI::UUID manpage, to make some columns implicitly created as uuid.

When loaded, 'UUIDColumns' will search for a suitable uuid generation
module from the following list of supported modules:

  Data::UUID
  APR::UUID*
  UUID
  Win32::Guidgen
  Win32API::GUID

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.20.60-11pclos2017
- rebuild against updates

